Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.dynamicconfig.bean
Class DynamicConfigBeanFactory

    java.lang.Object
      com.connecterra.ale.dynamicconfig.bean.AbstractDynamicConfigFactory
          com.connecterra.ale.dynamicconfig.bean.DynamicConfigBeanFactory

All Implemented Interfaces:
  DynamicConfigFactory

    public class DynamicConfigBeanFactory

extends AbstractDynamicConfigFactory
implements DynamicConfigFactory

An implementation of `DynamicConfigFactory`.

Constructor Summary
`DynamicConfigBeanFactory()`

Method Summary
`com.connecterra.ale.dynamicconfig.api.DisplayableValue` | `createDisplayableValue(String keyName, String displayName)`
`PluginConfig` | `createPluginConfig(String metaName, String name, String role)` Creates a new `PluginConfig` instance.
`PluginConfigParameter` | `createPluginConfigParameter(String name)` Creates a new `PluginConfigParameter` instance.
`PluginMeta` | `createPluginMeta(String classType, String keyName, String name, String role)` Creates a new `PluginMeta` instance.
`PluginParameterConstraintDynamicSet` | `createPluginParameterConstraintDynamicSet(String role, String setID, Map params)` Creates a new `PluginParameterConstraintDynamicSet` instance.
`PluginParameterConstraintEnum` | `createPluginParameterConstraintEnum(List enumList)` Creates a new `PluginParameterConstraintEnum` instance.
`PluginParameterConstraintRangeNumeric` | `createPluginParameterConstraintRangeNumeric(long minValue, long maxValue)` Creates a new `PluginParameterConstraintRangeNumeric` instance.
`com.connecterra.ale.dynamicconfig.api.PluginParameterConstraintRegEx` | `createPluginParameterConstraintRegEx(String regex)`
`PluginParameterMeta` | `createPluginParameterMeta(String keyName, String name, String type)` Creates a new `PluginParameterMeta` instance.
`PluginParameterMeta` | `createRequiredStringMeta(String keyName, String displayName, String desc)` Creates a required string parameter meta.

Methods inherited from class com.connecterra.ale.dynamicconfig.bean.AbstractDynamicConfigFactory
`createBooleanMeta, createLabelMeta, createNumericMeta, createNumericMeta, createRequiredBooleanMeta, createRequiredNumericMeta, createRequiredNumericMeta, createStringListMeta, createStringMeta`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.connecterra.ale.dynamicconfig.api.DynamicConfigFactory
`createBooleanMeta, createLabelMeta, createNumericMeta, createNumericMeta, createRequiredBooleanMeta, createRequiredNumericMeta, createRequiredNumericMeta, createStringListMeta, createStringMeta`

Constructor Detail

### DynamicConfigBeanFactory

    public DynamicConfigBeanFactory()

Method Detail

### createPluginMeta

    public PluginMeta createPluginMeta(String classType,
                                       String keyName,
                                       String name,
                                       String role)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginMeta` instance.

  Specified by:
    `createPluginMeta` in interface `DynamicConfigFactory`
  Parameters:
    `classType` - fully qualified class name of the the plugin
    `keyName` - key name of the `PluginMeta` for the plugin
    `name` - display name of the `PluginMeta` for the plugin
    `role` - `PluginMeta.Role` to which the plugin belongs
  Returns:
    the newly created `PluginMeta`

### createPluginParameterMeta

    public PluginParameterMeta createPluginParameterMeta(String keyName,
                                                         String name,
                                                         String type)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginParameterMeta` instance.

  Specified by:
    `createPluginParameterMeta` in interface `DynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter
    `name` - display name of the parameter
    `type` - type of the parameter. The types are defined in `PluginParameterMeta.Type`.
  Returns:
    the newly created `PluginParameterMeta`

### createPluginParameterConstraintEnum

    public PluginParameterConstraintEnum createPluginParameterConstraintEnum(List enumList)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginParameterConstraintEnum` instance.

  Specified by:
    `createPluginParameterConstraintEnum` in interface `DynamicConfigFactory`
  Parameters:
    `enumList` - list of allowed string values
  Returns:
    the newly created `PluginParameterConstraintEnum`

### createPluginParameterConstraintRegEx

    public com.connecterra.ale.dynamicconfig.api.PluginParameterConstraintRegEx createPluginParameterConstraintRegEx(String regex)

### createPluginParameterConstraintRangeNumeric

    public PluginParameterConstraintRangeNumeric createPluginParameterConstraintRangeNumeric(long minValue,
                                                                                             long maxValue)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginParameterConstraintRangeNumeric` instance.

  Specified by:
    `createPluginParameterConstraintRangeNumeric` in interface `DynamicConfigFactory`
  Parameters:
    `minValue` - minimum numeric value allowed
    `maxValue` - maximum numeric value allowed
  Returns:
    the newly created `PluginParameterConstraintRangeNumeric`

### createPluginParameterConstraintDynamicSet

    public PluginParameterConstraintDynamicSet createPluginParameterConstraintDynamicSet(String role,
                                                                                         String setID,
                                                                                         Map params)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginParameterConstraintDynamicSet` instance.

  Specified by:
    `createPluginParameterConstraintDynamicSet` in interface `DynamicConfigFactory`
  Parameters:
    `role` - `PluginMeta.Role` to which the dynamic set belongs
    `setID` - the dynamic set identifier
    `params` - string to string map of parameters used to generate the dynamic set. Specific keys and values are determined by the setID and role.
  Returns:
    the newly created `PluginParameterConstraintDynamicSet`

### createPluginConfig

    public PluginConfig createPluginConfig(String metaName,
                                           String name,
                                           String role)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginConfig` instance.

  Specified by:
    `createPluginConfig` in interface `DynamicConfigFactory`
  Parameters:
    `metaName` - key name of the `PluginMeta` for the plugin
    `name` - name of the plugin
    `role` - `PluginMeta.Role` to which this plugin belongs
  Returns:
    the newly created `PluginConfig`

### createPluginConfigParameter

    public PluginConfigParameter createPluginConfigParameter(String name)

  Description copied from interface: `DynamicConfigFactory`
  Creates a new `PluginConfigParameter` instance.

  Specified by:
    `createPluginConfigParameter` in interface `DynamicConfigFactory`
  Parameters:
    `name` - key name of the parameter meta corresponding for the PluginConfigParameter that is to be created
  Returns:
    the newly created `PluginConfigParameter`

### createRequiredStringMeta

    public PluginParameterMeta createRequiredStringMeta(String keyName,
                                                        String displayName,
                                                        String desc)

  Description copied from interface: `DynamicConfigFactory`
  Creates a required string parameter meta.

  Specified by:
    `createRequiredStringMeta` in interface `DynamicConfigFactory`
  Overrides:
    `createRequiredStringMeta` in class `AbstractDynamicConfigFactory`
  Parameters:
    `keyName` - key name of the parameter meta
    `displayName` - display name of the parameter meta
    `desc` - description of the parameter
  Returns:
    the newly created `PluginParameterMeta`

### createDisplayableValue

    public com.connecterra.ale.dynamicconfig.api.DisplayableValue createDisplayableValue(String keyName,
                                                                                         String displayName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD